diff --git a/buildSrc/version.properties b/buildSrc/version.properties
index 12ff2f8cda73e..386fb669f9493 100644
--- a/buildSrc/version.properties
+++ b/buildSrc/version.properties
@@ -32,8 +32,8 @@ bouncycastle      = 1.61
 # test dependencies
 randomizedrunner  = 2.7.1
 junit             = 4.12
-httpclient        = 4.5.8
-httpcore          = 4.4.11
+httpclient        = 4.5.10
+httpcore          = 4.4.12
 httpasyncclient   = 4.1.4
 commonslogging    = 1.1.3
 commonscodec      = 1.11
diff --git a/client/rest-high-level/src/main/java/org/elasticsearch/client/IndexLifecycleClient.java b/client/rest-high-level/src/main/java/org/elasticsearch/client/IndexLifecycleClient.java
index c7e3a8e0edabb..595a055f27677 100644
--- a/client/rest-high-level/src/main/java/org/elasticsearch/client/IndexLifecycleClient.java
+++ b/client/rest-high-level/src/main/java/org/elasticsearch/client/IndexLifecycleClient.java
@@ -496,9 +496,9 @@ public GetSnapshotLifecycleStatsResponse getSnapshotLifecycleStats(GetSnapshotLi
      * @param options the request options (e.g. headers), use {@link RequestOptions#DEFAULT} if nothing needs to be customized
      * @param listener the listener to be notified upon request completion
      */
-    public void getSnapshotLifecycleStatsAsync(GetSnapshotLifecycleStatsRequest request, RequestOptions options,
+    public Cancellable getSnapshotLifecycleStatsAsync(GetSnapshotLifecycleStatsRequest request, RequestOptions options,
                                                ActionListener<GetSnapshotLifecycleStatsResponse> listener) {
-        restHighLevelClient.performRequestAsyncAndParseEntity(request, IndexLifecycleRequestConverters::getSnapshotLifecycleStats,
+        return restHighLevelClient.performRequestAsyncAndParseEntity(request, IndexLifecycleRequestConverters::getSnapshotLifecycleStats,
             options, GetSnapshotLifecycleStatsResponse::fromXContent, listener, emptySet());
     }
 }
diff --git a/client/rest-high-level/src/main/java/org/elasticsearch/client/SecurityClient.java b/client/rest-high-level/src/main/java/org/elasticsearch/client/SecurityClient.java
index a25396af648dd..ef2e9642c9899 100644
--- a/client/rest-high-level/src/main/java/org/elasticsearch/client/SecurityClient.java
+++ b/client/rest-high-level/src/main/java/org/elasticsearch/client/SecurityClient.java
@@ -1013,7 +1013,7 @@ public Cancellable invalidateApiKeyAsync(final InvalidateApiKeyRequest request,
      * authenticated TLS session, and it is validated by the PKI realms with {@code delegation.enabled} toggled to {@code true}.<br>
      * See <a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/security-api-delegate-pki-authentication.html"> the
      * docs</a> for more details.
-     * 
+     *
      * @param request the request containing the certificate chain
      * @param options the request options (e.g. headers), use {@link RequestOptions#DEFAULT} if nothing needs to be customized
      * @return the response from the delegate-pki-authentication API key call
@@ -1031,14 +1031,14 @@ public DelegatePkiAuthenticationResponse delegatePkiAuthentication(DelegatePkiAu
      * {@code true}.<br>
      * See <a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/security-api-delegate-pki-authentication.html"> the
      * docs</a> for more details.
-     * 
+     *
      * @param request the request containing the certificate chain
      * @param options the request options (e.g. headers), use {@link RequestOptions#DEFAULT} if nothing needs to be customized
      * @param listener the listener to be notified upon request completion
      */
-    public void delegatePkiAuthenticationAsync(DelegatePkiAuthenticationRequest request, RequestOptions options,
+    public Cancellable delegatePkiAuthenticationAsync(DelegatePkiAuthenticationRequest request, RequestOptions options,
             ActionListener<DelegatePkiAuthenticationResponse> listener) {
-        restHighLevelClient.performRequestAsyncAndParseEntity(request, SecurityRequestConverters::delegatePkiAuthentication, options,
+        return restHighLevelClient.performRequestAsyncAndParseEntity(request, SecurityRequestConverters::delegatePkiAuthentication, options,
                 DelegatePkiAuthenticationResponse::fromXContent, listener, emptySet());
     }
 }
diff --git a/client/rest/licenses/httpclient-4.5.10.jar.sha1 b/client/rest/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/client/rest/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/client/rest/licenses/httpclient-4.5.8.jar.sha1 b/client/rest/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/client/rest/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/client/rest/licenses/httpcore-4.4.11.jar.sha1 b/client/rest/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/client/rest/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/client/rest/licenses/httpcore-4.4.12.jar.sha1 b/client/rest/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/client/rest/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/client/rest/licenses/httpcore-nio-4.4.11.jar.sha1 b/client/rest/licenses/httpcore-nio-4.4.11.jar.sha1
deleted file mode 100644
index 9e8777cb3da1c..0000000000000
--- a/client/rest/licenses/httpcore-nio-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-7d0a97d01d39cff9aa3e6db81f21fddb2435f4e6
\ No newline at end of file
diff --git a/client/rest/licenses/httpcore-nio-4.4.12.jar.sha1 b/client/rest/licenses/httpcore-nio-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..4de932dc5aca0
--- /dev/null
+++ b/client/rest/licenses/httpcore-nio-4.4.12.jar.sha1
@@ -0,0 +1 @@
+84cd29eca842f31db02987cfedea245af020198b
\ No newline at end of file
diff --git a/client/rest/src/test/java/org/elasticsearch/client/RestClientMultipleHostsIntegTests.java b/client/rest/src/test/java/org/elasticsearch/client/RestClientMultipleHostsIntegTests.java
index 38317af790ae7..9a893fa58a287 100644
--- a/client/rest/src/test/java/org/elasticsearch/client/RestClientMultipleHostsIntegTests.java
+++ b/client/rest/src/test/java/org/elasticsearch/client/RestClientMultipleHostsIntegTests.java
@@ -74,6 +74,7 @@ public static void startHttpServer() throws Exception {
         int numHttpServers = randomIntBetween(2, 4);
         httpServers = new HttpServer[numHttpServers];
         httpHosts = new HttpHost[numHttpServers];
+        waitForCancelHandler = new WaitForCancelHandler();
         for (int i = 0; i < numHttpServers; i++) {
             HttpServer httpServer = createHttpServer();
             httpServers[i] = httpServer;
@@ -98,24 +99,30 @@ private static HttpServer createHttpServer() throws Exception {
         for (int statusCode : getAllStatusCodes()) {
             httpServer.createContext(pathPrefix + "/" + statusCode, new ResponseHandler(statusCode));
         }
-        waitForCancelHandler = new WaitForCancelHandler();
         httpServer.createContext(pathPrefix + "/wait", waitForCancelHandler);
         return httpServer;
     }
 
     private static class WaitForCancelHandler implements HttpHandler {
-        private CountDownLatch cancelHandlerLatch;
+        private volatile CountDownLatch requestCameInLatch;
+        private volatile CountDownLatch cancelHandlerLatch;
 
         void reset() {
             cancelHandlerLatch = new CountDownLatch(1);
+            requestCameInLatch = new CountDownLatch(1);
         }
 
         void cancelDone() {
             cancelHandlerLatch.countDown();
         }
 
+        void awaitRequest() throws InterruptedException {
+            requestCameInLatch.await();
+        }
+
         @Override
         public void handle(HttpExchange exchange) throws IOException {
+            requestCameInLatch.countDown();
             try {
                 cancelHandlerLatch.await();
             } catch (InterruptedException ignore) {
@@ -226,15 +233,12 @@ public void onFailure(Exception exception) {
 
     public void testCancelAsyncRequests() throws Exception {
         int numRequests = randomIntBetween(5, 20);
-        final CountDownLatch latch = new CountDownLatch(numRequests);
         final List<Response> responses = new CopyOnWriteArrayList<>();
         final List<Exception> exceptions = new CopyOnWriteArrayList<>();
         for (int i = 0; i < numRequests; i++) {
+            CountDownLatch latch = new CountDownLatch(1);
             waitForCancelHandler.reset();
-            final String method = RestClientTestUtil.randomHttpMethod(getRandom());
-            //we don't test status codes that are subject to retries as they interfere with hosts being stopped
-            final int statusCode = randomBoolean() ? randomOkStatusCode(getRandom()) : randomErrorNoRetryStatusCode(getRandom());
-            Cancellable cancellable = restClient.performRequestAsync(new Request(method, "/" + statusCode), new ResponseListener() {
+            Cancellable cancellable = restClient.performRequestAsync(new Request("GET", "/wait"), new ResponseListener() {
                 @Override
                 public void onSuccess(Response response) {
                     responses.add(response);
@@ -247,10 +251,15 @@ public void onFailure(Exception exception) {
                     latch.countDown();
                 }
             });
+            if (randomBoolean()) {
+                //we wait for the request to get to the server-side otherwise we almost always cancel
+                // the request artificially on the client-side before even sending it
+                waitForCancelHandler.awaitRequest();
+            }
             cancellable.cancel();
             waitForCancelHandler.cancelDone();
+            assertTrue(latch.await(5, TimeUnit.SECONDS));
         }
-        assertTrue(latch.await(5, TimeUnit.SECONDS));
         assertEquals(0, responses.size());
         assertEquals(numRequests, exceptions.size());
         for (Exception exception : exceptions) {
diff --git a/client/rest/src/test/java/org/elasticsearch/client/RestClientSingleHostIntegTests.java b/client/rest/src/test/java/org/elasticsearch/client/RestClientSingleHostIntegTests.java
index c47fa55c9fe67..9c7c777fe1431 100644
--- a/client/rest/src/test/java/org/elasticsearch/client/RestClientSingleHostIntegTests.java
+++ b/client/rest/src/test/java/org/elasticsearch/client/RestClientSingleHostIntegTests.java
@@ -105,7 +105,7 @@ private HttpServer createHttpServer() throws Exception {
         return httpServer;
     }
 
-    private class WaitForCancelHandler implements HttpHandler {
+    private static class WaitForCancelHandler implements HttpHandler {
 
         private final CountDownLatch cancelHandlerLatch = new CountDownLatch(1);
 
@@ -259,6 +259,8 @@ public void onFailure(Exception exception) {
     /**
      * This test verifies some assumptions that we rely upon around the way the async http client works when reusing the same request
      * throughout multiple retries, and the use of the {@link HttpRequestBase#abort()} method.
+     * In fact the low-level REST client reuses the same request instance throughout multiple retries, and relies on the http client
+     * to set the future ref to the request properly so that when abort is called, the proper future gets cancelled.
      */
     public void testRequestResetAndAbort() throws Exception {
         try (CloseableHttpAsyncClient client = HttpAsyncClientBuilder.create().build()) {
@@ -273,10 +275,15 @@ public void testRequestResetAndAbort() throws Exception {
             {
                 httpGet.reset();
                 assertFalse(httpGet.isAborted());
-                httpGet.abort();//this has no effect on the next call (although isAborted will return true until the next reset)
+                httpGet.abort();
                 Future<HttpResponse> future = client.execute(httpHost, httpGet, null);
-                assertEquals(200, future.get().getStatusLine().getStatusCode());
-                assertFalse(future.isCancelled());
+                try {
+                    future.get();
+                    fail("expected cancellation exception");
+                } catch(CancellationException e) {
+                    //expected
+                }
+                assertTrue(future.isCancelled());
             }
             {
                 httpGet.reset();
diff --git a/client/sniffer/licenses/httpclient-4.5.10.jar.sha1 b/client/sniffer/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/client/sniffer/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/client/sniffer/licenses/httpclient-4.5.8.jar.sha1 b/client/sniffer/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/client/sniffer/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/client/sniffer/licenses/httpcore-4.4.11.jar.sha1 b/client/sniffer/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/client/sniffer/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/client/sniffer/licenses/httpcore-4.4.12.jar.sha1 b/client/sniffer/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/client/sniffer/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/plugins/discovery-azure-classic/licenses/httpclient-4.5.10.jar.sha1 b/plugins/discovery-azure-classic/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/plugins/discovery-azure-classic/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/plugins/discovery-azure-classic/licenses/httpclient-4.5.8.jar.sha1 b/plugins/discovery-azure-classic/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/plugins/discovery-azure-classic/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/plugins/discovery-azure-classic/licenses/httpcore-4.4.11.jar.sha1 b/plugins/discovery-azure-classic/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/plugins/discovery-azure-classic/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/plugins/discovery-azure-classic/licenses/httpcore-4.4.12.jar.sha1 b/plugins/discovery-azure-classic/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/plugins/discovery-azure-classic/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/plugins/discovery-ec2/licenses/httpclient-4.5.10.jar.sha1 b/plugins/discovery-ec2/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/plugins/discovery-ec2/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/plugins/discovery-ec2/licenses/httpclient-4.5.8.jar.sha1 b/plugins/discovery-ec2/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/plugins/discovery-ec2/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/plugins/discovery-ec2/licenses/httpcore-4.4.11.jar.sha1 b/plugins/discovery-ec2/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/plugins/discovery-ec2/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/plugins/discovery-ec2/licenses/httpcore-4.4.12.jar.sha1 b/plugins/discovery-ec2/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/plugins/discovery-ec2/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/plugins/discovery-gce/licenses/httpclient-4.5.10.jar.sha1 b/plugins/discovery-gce/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/plugins/discovery-gce/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/plugins/discovery-gce/licenses/httpclient-4.5.8.jar.sha1 b/plugins/discovery-gce/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/plugins/discovery-gce/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/plugins/discovery-gce/licenses/httpcore-4.4.11.jar.sha1 b/plugins/discovery-gce/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/plugins/discovery-gce/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/plugins/discovery-gce/licenses/httpcore-4.4.12.jar.sha1 b/plugins/discovery-gce/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/plugins/discovery-gce/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/plugins/repository-gcs/licenses/httpclient-4.5.10.jar.sha1 b/plugins/repository-gcs/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/plugins/repository-gcs/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/plugins/repository-gcs/licenses/httpclient-4.5.8.jar.sha1 b/plugins/repository-gcs/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/plugins/repository-gcs/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/plugins/repository-gcs/licenses/httpcore-4.4.11.jar.sha1 b/plugins/repository-gcs/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/plugins/repository-gcs/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/plugins/repository-gcs/licenses/httpcore-4.4.12.jar.sha1 b/plugins/repository-gcs/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/plugins/repository-gcs/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/plugins/repository-s3/licenses/httpclient-4.5.10.jar.sha1 b/plugins/repository-s3/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/plugins/repository-s3/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/plugins/repository-s3/licenses/httpclient-4.5.8.jar.sha1 b/plugins/repository-s3/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/plugins/repository-s3/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/plugins/repository-s3/licenses/httpcore-4.4.11.jar.sha1 b/plugins/repository-s3/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/plugins/repository-s3/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/plugins/repository-s3/licenses/httpcore-4.4.12.jar.sha1 b/plugins/repository-s3/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/plugins/repository-s3/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpclient-4.5.10.jar.sha1 b/x-pack/plugin/core/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/x-pack/plugin/core/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpclient-4.5.8.jar.sha1 b/x-pack/plugin/core/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/x-pack/plugin/core/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpcore-4.4.11.jar.sha1 b/x-pack/plugin/core/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/x-pack/plugin/core/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpcore-4.4.12.jar.sha1 b/x-pack/plugin/core/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/x-pack/plugin/core/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpcore-nio-4.4.11.jar.sha1 b/x-pack/plugin/core/licenses/httpcore-nio-4.4.11.jar.sha1
deleted file mode 100644
index 9e8777cb3da1c..0000000000000
--- a/x-pack/plugin/core/licenses/httpcore-nio-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-7d0a97d01d39cff9aa3e6db81f21fddb2435f4e6
\ No newline at end of file
diff --git a/x-pack/plugin/core/licenses/httpcore-nio-4.4.12.jar.sha1 b/x-pack/plugin/core/licenses/httpcore-nio-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..4de932dc5aca0
--- /dev/null
+++ b/x-pack/plugin/core/licenses/httpcore-nio-4.4.12.jar.sha1
@@ -0,0 +1 @@
+84cd29eca842f31db02987cfedea245af020198b
\ No newline at end of file
diff --git a/x-pack/plugin/security/licenses/httpclient-cache-4.5.10.jar.sha1 b/x-pack/plugin/security/licenses/httpclient-cache-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..3b1d8db643114
--- /dev/null
+++ b/x-pack/plugin/security/licenses/httpclient-cache-4.5.10.jar.sha1
@@ -0,0 +1 @@
+b195778247a21e980cb9f80c41364dc0c38feaef
\ No newline at end of file
diff --git a/x-pack/plugin/security/licenses/httpclient-cache-4.5.8.jar.sha1 b/x-pack/plugin/security/licenses/httpclient-cache-4.5.8.jar.sha1
deleted file mode 100644
index 87db7aba09e2c..0000000000000
--- a/x-pack/plugin/security/licenses/httpclient-cache-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-bb984b73da2153285b660f3e278498abd94ccbb5
\ No newline at end of file
diff --git a/x-pack/snapshot-tool/licenses/httpclient-4.5.10.jar.sha1 b/x-pack/snapshot-tool/licenses/httpclient-4.5.10.jar.sha1
new file mode 100644
index 0000000000000..b708efd0dd57f
--- /dev/null
+++ b/x-pack/snapshot-tool/licenses/httpclient-4.5.10.jar.sha1
@@ -0,0 +1 @@
+7ca2e4276f4ef95e4db725a8cd4a1d1e7585b9e5
\ No newline at end of file
diff --git a/x-pack/snapshot-tool/licenses/httpclient-4.5.8.jar.sha1 b/x-pack/snapshot-tool/licenses/httpclient-4.5.8.jar.sha1
deleted file mode 100644
index 73f0d30c7093b..0000000000000
--- a/x-pack/snapshot-tool/licenses/httpclient-4.5.8.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-c27c9d6f15435dc2b6947112027b418b0eef32b9
\ No newline at end of file
diff --git a/x-pack/snapshot-tool/licenses/httpcore-4.4.11.jar.sha1 b/x-pack/snapshot-tool/licenses/httpcore-4.4.11.jar.sha1
deleted file mode 100644
index 6d64372bfccd8..0000000000000
--- a/x-pack/snapshot-tool/licenses/httpcore-4.4.11.jar.sha1
+++ /dev/null
@@ -1 +0,0 @@
-de748cf874e4e193b42eceea9fe5574fabb9d4df
\ No newline at end of file
diff --git a/x-pack/snapshot-tool/licenses/httpcore-4.4.12.jar.sha1 b/x-pack/snapshot-tool/licenses/httpcore-4.4.12.jar.sha1
new file mode 100644
index 0000000000000..3c046171b30da
--- /dev/null
+++ b/x-pack/snapshot-tool/licenses/httpcore-4.4.12.jar.sha1
@@ -0,0 +1 @@
+21ebaf6d532bc350ba95bd81938fa5f0e511c132
\ No newline at end of file
